Skip to content

Document Role Check for Document Change Control

Check if any document added to a Document Change Control (DCC) record has one or more users in a specified Application Role. This API only checks documents added to the standard Documents to be Released and Documents to be Made Obsolete sections.

POST/api/{version}/vobjects/document_change_control__v/{object_record_id}/actions/documentrolecheck
NameDescription
Acceptapplication/json (default) or application/xml
NameDescription
{object_record_id}The {id} field value of the document_change_control__v object record.
NameDescription
{application_role}The name of the application_role__v.
curl -X POST
https://myvault.veevavault.com/api/v26.2/vobjects/document_change_control__v/00S000000000101/actions/documentrolecheck \
-H "Authorization: {AUTH_VALUE}" \
-H 'Content-Type: application/x-www-form-urlencoded' \
-d 'application_role: approver__c'
{
  "responseStatus": "SUCCESS",
  "data": {
    "check_result": true
  }
}

On SUCCESS, the response includes the Boolean check_result field. A value of true indicates that the given Application Role is in use on at least one document in the given Document Change Control record.